Skip to main content
`Ctrl`+`K`

# MatHermitianTransposeGetMat

Gets the `Mat` object stored inside a `MATHERMITIANTRANSPOSEVIRTUAL`

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatHermitianTransposeGetMat(Mat A, Mat *M)

Logically Collective

## Input Parameter

- A - the `MATHERMITIANTRANSPOSEVIRTUAL` matrix

## Output Parameter

- M - the matrix object stored inside A

## See Also

Matrices, `Mat`, `MATHERMITIANTRANSPOSEVIRTUAL`, `MatCreateHermitianTranspose()`

## Level

intermediate

## Location

src/mat/impls/transpose/htransm.c

## Implementations

MatHermitianTransposeGetMat_HT() in src/mat/impls/transpose/htransm.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages